org.firebirdsql.jna.fbclient

## Class ISC_ARRAY_BOUND.ByReference

- java.lang.Object
- - com.sun.jna.Structure
  - - org.firebirdsql.jna.fbclient.ISC_ARRAY_BOUND
    - - org.firebirdsql.jna.fbclient.ISC_ARRAY_BOUND.ByReference

- All Implemented Interfaces:
    com.sun.jna.Structure.ByReference
  Enclosing class:
    ISC_ARRAY_BOUND

      public static class ISC_ARRAY_BOUND.ByReference
      extends ISC_ARRAY_BOUND
      implements com.sun.jna.Structure.ByReference

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.firebirdsql.jna.fbclient.ISC_ARRAY_BOUND

      `ISC_ARRAY_BOUND.ByReference, ISC_ARRAY_BOUND.ByValue`

    - ### Nested classes/interfaces inherited from class com.sun.jna.Structure

      `com.sun.jna.Structure.StructField`

  - ### Field Summary

    - ### Fields inherited from class org.firebirdsql.jna.fbclient.ISC_ARRAY_BOUND

      `array_bound_lower, array_bound_upper`

    - ### Fields inherited from class com.sun.jna.Structure

      `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ByReference()`

  - ### Method Summary

    - ### Methods inherited from class org.firebirdsql.jna.fbclient.ISC_ARRAY_BOUND

      `getFieldOrder`

    - ### Methods inherited from class com.sun.jna.Structure

      `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ByReference

          public ByReference()

Copyright © 2001-2021 Jaybird (Firebird JDBC/JCA) team. All rights reserved.